summaryrefslogtreecommitdiff
path: root/showdot.sh
diff options
context:
space:
mode:
authorxengineering <me@xengineering.eu>2022-08-03 15:20:18 +0200
committerxengineering <me@xengineering.eu>2022-08-03 15:20:18 +0200
commitec1f1588169e96599e0e3d0a7f58eef0f57f1c6e (patch)
tree27f4227dfe8823bb7c6ef8640a3d152119c133c2 /showdot.sh
parent982e24828f2e3a52343a120b0381c83686e9940b (diff)
downloadscripts-ec1f1588169e96599e0e3d0a7f58eef0f57f1c6e.tar
scripts-ec1f1588169e96599e0e3d0a7f58eef0f57f1c6e.tar.zst
scripts-ec1f1588169e96599e0e3d0a7f58eef0f57f1c6e.zip
Use native file extensions
Diffstat (limited to 'showdot.sh')
-rwxr-xr-xshowdot.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/showdot.sh b/showdot.sh
new file mode 100755
index 0000000..89ada27
--- /dev/null
+++ b/showdot.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+
+# usage: ./showdot source.dot [compilation args]
+
+
+# process arguments
+code=$1
+shift
+
+file=$(mktemp)
+
+# compile *.dot code to *.png
+if ! dot "$@" -T png -o "${file}" "${code}"
+then
+ echo "Failed to compile with GraphViz."
+ exit 1
+fi
+
+# launch image viewer
+if ! sxiv "${file}"
+then
+ echo "Failed to display generated image with sxiv."
+ exit 1
+fi
+
+rm "${file}"